Class | Irc::TopicMessage
In: | lib/rbot/message.rb
Parent: | BasicUserMessage

### Methods

inspect new

### Attributes

channel | [R] | topic set on channel
info_or_set | [RW] | :info if topic info, :set if topic set
timestamp | [R] | topic set at (unixtime)
topic | [R] | channel topic

### Public Class methods

new(bot, server, source, channel, topic=ChannelTopic.new)

### Public Instance methods

inspect()

[Validate]